<?php
/*
 * Template Name: Blog Masonry
 */
?>

<?php get_header(); ?>

<section id="main" class="container">
    <div class="row">
        <div id="content" class="col-md-8" role="main">

            <div class="site-content box">
                <?php
                $paged = (get_query_var('paged')) ? get_query_var('paged') : 1;
                $posts = new WP_Query(array(
                    'post_type' => 'post',
                    'paged'     => $paged
                ));
                ?>

                <div class="row masonry-blog">

                    <?php if ( $posts->have_posts() ) { ?>

                    <?php while ( $posts->have_posts() ): $posts->the_post(); ?>
                    <div class="col-md-6">
                        <?php get_template_part( 'post-format/content', get_post_format() ); ?>
                    </div>
                    <?php endwhile; ?>

                    <?php } else { ?>
                    <div class="col-md-12">
                        <?php get_template_part( 'post-format/content', 'none' ); ?>
                    </div>
                    <?php } ?>
                </div>
            </div>
            <?php themeum_pagination($posts->max_num_pages); ?>
        </div> <!-- #content -->

        <div id="sidebar" class="col-md-4" role="complementary">
            <aside class="widget-area">
                <?php dynamic_sidebar('sidebar');?>
            </aside>
        </div> <!-- #sidebar -->

    </div> <!-- .row -->
</section> <!-- .container -->

<?php get_footer();