<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<?php global $themeum_options; ?>
<head>

    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php bloginfo('name'); ?> | <?php is_front_page() ? bloginfo('description') : wp_title(''); ?></title>
    <?php if (isset($themeum_options['favicon']) ) { ?>
    <link rel="shortcut icon" href="<?php echo $themeum_options['favicon']['url']; ?>" type="image/x-icon"/>
    <?php } ?> 
    <link rel="profile" href="http://gmpg.org/xfn/11">
    <link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
    <?php if (isset($themeum_options['before-head']) ) echo $themeum_options['before-head']; ?>
    <?php wp_head(); ?>

</head><!--end head-->

<body <?php body_class() ?>>

    <?php if(isset($themeum_options['preload-en']) && $themeum_options['preload-en']) { ?>
    <div class="preloader">
        <i></i>
    </div>
    <?php } ?>

    <header id="masthead" class="site-header header" role="banner">      
        <div id="navigation" class="navbar navbar-default">
            <div class="container">
                <div class="row">
                    <div class="col-sm-3">
                        <div class="navbar-header">
                            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
                                <span class="sr-only">Toggle navigation</span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                                <span class="icon-bar"></span>
                            </button>
                            <a class="navbar-brand" href="<?php echo site_url(); ?>">
                                <h1 class="logo-wrapper">
                                    <?php
                                    if ( isset($themeum_options['logo']) ) {
                                        if ($themeum_options['logo-text-en']) {
                                            echo $themeum_options['logo-text'];
                                        } else {
                                            if ( !empty($themeum_options['logo']) ) {
                                                echo '<img class="logo img-responsive" src="' . $themeum_options['logo']['url'] . '" alt="" />';
                                            } else {
                                                echo get_bloginfo('name');  
                                            }
                                        }
                                    } else {
                                        echo get_bloginfo('name');
                                    }
                                    ?>
                                </h1>
                            </a>
                        </div>
                    </div>

                    <?php  
                    if (isset($themeum_options['share-en']) && $themeum_options['share-en']) {
                        $menusize = 'col-sm-7';
                        $socialsize ='col-sm-2';    
                    } else {
                        $menusize = 'col-sm-9';
                    }
                    ?>
                    <div id="main-menu" class="<?php echo $menusize; ?>">
                        <div class="hidden-xs">
                            <?php 
                            if ( has_nav_menu( 'primary' ) ) {
                                wp_nav_menu(  array(
                                    'theme_location' => 'primary',
                                    'container'      => '', 
                                    'menu_class'     => 'nav navbar-nav',
                                    'fallback_cb'    => 'wp_page_menu',
                                    'depth'          => 3,
                                    'walker'         => new Megamenu_Walker()
                                    )
                                ); 
                            }
                            ?>
                        </div>
                    </div><!--/#main-menu-->

                    <div id="mobile-menu" class="visible-xs">
                        <div class="collapse navbar-collapse">
                            <?php 
                            if ( has_nav_menu( 'primary' ) ) {
                                wp_nav_menu( array(
                                    'theme_location'      => 'primary',
                                    'container'           => false,
                                    'menu_class'          => 'nav navbar-nav',
                                    'fallback_cb'         => 'wp_page_menu',
                                    'depth'               => 3,
                                    'walker'              => new wp_bootstrap_mobile_navwalker()
                                    )
                                ); 
                            }
                            ?>
                        </div>
                    </div><!--/.#mobile-menu-->

                    <?php if (isset($themeum_options['share-en']) && $themeum_options['share-en']) { ?>
                    <div class="<?php echo $socialsize; ?> hidden-sm hidden-xs">
                        <?php get_template_part( 'social-icons'); ?>
                    </div>
                    <?php } ?>

                </div> 
            </div>
        </div>
</header> <!--/#navigation-->