<?php
/*
 * Template Name: Homepage Template
 */

get_header();

global $themeum_options;

$args = array(  'post_type' => 'event',
                'meta_key' => 'themeum_event_start_datetime',
                'meta_value' => date('Y-m-d h:i'),
                'meta_compare' => '>',
                'orderby' => 'meta_value',
                'order' => 'ASC',
                'showposts' => 1
            );

$events = get_posts( $args );

?>

<section id="main" class="clearfix">
    <div id="page" class="container">
         <?php if (isset($themeum_options['home-latest-event-en']) && $themeum_options['home-latest-event-en']) { ?>
            <div class="upcoiming-event-timer-wrapper">
                <div class="upcoiming-event-timer">
                    <?php foreach ($events as $key=>$post) { ?>

                            <?php if (isset($themeum_options['home-countdown-en']) && $themeum_options['home-countdown-en']) { ?>
                        
                                <?php
                                    setup_postdata( $post );
                                    $datetime = get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
                                ?>
                                <script type="text/javascript">
                                    jQuery(function($) {
                                        $('#home-countdown-timer').countdown("<?php echo str_replace('-', '/', $datetime); ?>", function(event) {
                                            $(this).html(event.strftime('<span><?php echo __("Only", "themeum"); ?></span> <span>%-D %!D:<?php echo __("Day", "themeum"); ?>,<?php echo __("Days", "themeum"); ?>;</span><span>%-H %!H:<?php echo __("Hour", "themeum"); ?>,<?php echo __("Hours", "themeum"); ?>;</span><span>%-M %!M:<?php echo __("Minute", "themeum"); ?>,<?php echo __("Minutes", "themeum"); ?>;</span><span>%-S %!S:<?php echo __("Second", "themeum"); ?>,<?php echo __("Seconds", "themeum"); ?>;</span><span><?php echo __("Left", "themeum"); ?></span>'));
                                        });
                                    });
                                </script>

                                <div id="home-countdown-timer" class="home-countdown-timer"></div>
                            <?php } ?>

                        <h2 class="home-event-title"><?php echo get_the_title(); ?></h2>
                        <a class="event-details-link" href="<?php echo get_permalink(); ?>"><?php echo get_post_meta(get_the_ID(),'themeum_event_btn_ticket',true); ?></a>
                    
                    <?php } ?>
                    <?php wp_reset_postdata(); ?>
                </div>
            </div>
        <?php } ?>

        <div id="content" class="site-content" role="main">
            <?php /* The loop */ ?>
            <?php while ( have_posts() ): the_post(); ?>

                <div id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                    <!--<h1 class="entry-title"><?php the_title(); ?></h1>-->

                    <?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
                    <div class="entry-thumbnail">
                        <?php the_post_thumbnail(); ?>
                    </div>
                    <?php endif; ?>

                    <div class="entry-content">
                        <?php the_content(); ?>
                        <?php wp_link_pages(); ?>
                    </div>

                </div>

                <?php // comment_template(); ?>

            <?php endwhile; ?>
        </div> <!--/#content-->
    </div>
</section> <!--/#page-->
    
<?php get_footer(); ?>