<?php

add_action('widgets_init','register_themeum_past_event_widget');

function register_themeum_past_event_widget()
{
	register_widget('Themeum_Past_Event_Widget');
}

class Themeum_Past_Event_Widget extends WP_Widget{

	function __construct()
	{
		parent::__construct( 'Themeum_Past_Event_Widget', 'Vocal Past Event', array('description' => 'Vocal Past Event Widgets to display list of past video.'));
	}


	/*-------------------------------------------------------
	 *				Front-end display of widget
	 *-------------------------------------------------------*/

	function widget($args, $instance)
	{
		extract($args);

		$title 			= apply_filters('widget_title', $instance['title'] );
		$number 			= $instance['number'];
		
		echo $before_widget;

		if ( $title ) echo $before_title . $title . $after_title;

		$args = array(  'post_type' => 'event',
      		'posts_per_page' => $number,
			'meta_key' => 'themeum_event_start_datetime',
			'meta_value' => date('Y-m-d h:i'),
			'meta_compare' => '<',
			'orderby' => 'meta_value',
			'order' => 'DESC'
		);
 
		$the_query = new WP_Query( $args );

    $i=1;
	// The Loop
	if ( $the_query->have_posts() ) {
		while ( $the_query->have_posts() ) {
			$the_query->the_post();
	    if($i<=$number){
			?>
			<div class="media">
				<div class="pull-left">
					<a href="<?php the_permalink(); ?>">
						<?php if ( has_post_thumbnail() && ! post_password_required() ) { ?>
						<?php the_post_thumbnail('xs-thumb', array('class' => 'img-responsive')); ?>
						<?php } //.entry-thumbnail ?>
					</a>
				</div>
				<div class="media-body past-event-meta">
					<h4 class="entry-title">
						<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
					</h4>
					<div class="entry-meta">
						<span class="entry-date">
							<i class="fa fa-clock-o"></i> 
							<a href="<?php the_permalink(); ?>" rel="bookmark">
								<?php
								$datetime       = get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
								$newdate = date_i18n(get_option( 'date_format' ), strtotime($datetime));
								?>
								<time class="entry-date" datetime="<?php echo $newdate; ?>"><?php echo $newdate; ?></time>
							</a>
						</span>
					</div>
				</div>
			</div>
			<?php
	    }
	$i++;
		}
	}
	wp_reset_postdata();
	
	echo $after_widget;
	}


	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;

		$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['number'] 			= strip_tags( $new_instance['number'] );
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array( 
			'title' 	=> 'Past Events',
			'number' 		=> '3'
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title:','themeum'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'number' ); ?>"><?php _e('Number of Past Events to show','themeum'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'number' ); ?>" name="<?php echo $this->get_field_name( 'number' ); ?>" value="<?php echo $instance['number']; ?>" size="3" />
		</p>

	<?php
	}
}