<?php

add_action('widgets_init','register_themeum_video_widget');

function register_themeum_video_widget()
{
	register_widget('Themeum_Video_Widget');
}

class Themeum_Video_Widget extends WP_Widget{

	function __construct()
	{
		parent::__construct( 'Themeum_Video_Widget', 'Vocal Video', array('description' => 'Vocal video widget to display youtube or vimeo video.'));
	}


	/*-------------------------------------------------------
	 *				Front-end display of widget
	 *-------------------------------------------------------*/

	function widget($args, $instance)
	{
		extract($args);

		$title 			= apply_filters('widget_title', $instance['title'] );
		$url 			= $instance['url'];
		
		echo $before_widget;

		if ( $title ) echo $before_title . $title . $after_title;

		$video = parse_url($url);
		
		switch($video['host']) {
			case 'youtu.be':
				$id = trim($video['path'],'/');
				$src = '//www.youtube.com/embed/' . $id;
			break;
			
			case 'www.youtube.com':
			case 'youtube.com':
				parse_str($video['query'], $query);
				$id = $query['v'];
				$src = '//www.youtube.com/embed/' . $id;
			break;
			
			case 'vimeo.com':
			case 'www.vimeo.com':
				$id = trim($video['path'],'/');
				$src = "//player.vimeo.com/video/{$id}";
		}

		$output  = '<div class="widget-vocal-video fitvids">';
		$output .= '<iframe src="' . $src . '" frameborder="0" webkitAllowFullScreen mozallowfullscreen allowFullScreen></iframe>';
		$output .= '</div>';

		echo $output;

		echo $after_widget;
	}


	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;

		$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['url'] 			= strip_tags( $new_instance['url'] );
		
		return $instance;
	}

	function form($instance)
	{
		$defaults = array( 
			'title' 	=> 'Vocal Video',
			'url' 		=> 'http://vimeo.com/27916868'
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title:','themeum'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'url' ); ?>"><?php _e('YouTube or Vimeo URL','themeum'); ?></label>
			<input class="widefat" id="<?php echo $this->get_field_id( 'url' ); ?>" name="<?php echo $this->get_field_name( 'url' ); ?>" value="<?php echo $instance['url']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}