<?php 

/*
 * Template Name: Page With Sidebar
 */

get_header();
$extra_class = '';

if( rwmb_meta( 'themeum_page_boxed' ) ) {
    $extra_class .= 'box ';
}

if( rwmb_meta( 'themeum_page_class' ) ) {
    $extra_class .= rwmb_meta( 'themeum_page_class' );
}

?>

<section id="main" class="clearfix">
    <div id="page" class="container">
        <div id="content" class="site-content col-md-8" role="main">
            <div class="<?php echo $extra_class; ?> clearfix">

                <h2 class="page-header"><?php the_title(); ?></h2>

                <?php /* The loop */ ?>
                <?php while ( have_posts() ): the_post(); ?>

                    <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>

                        <?php if ( has_post_thumbnail() && ! post_password_required() ) : ?>
                        <div class="entry-thumbnail">
                            <?php the_post_thumbnail(); ?>
                        </div>
                        <?php endif; ?>

                        <div class="entry-content">
                            <?php the_content(); ?>
                            <?php wp_link_pages(); ?>
                        </div>

                    </article>

                    <?php // comment_template(); ?>

                <?php endwhile; ?>
            </div>
        </div> <!--/#content-->

        <?php get_sidebar(); ?>

    </div><!--/#page-->
</section>

<?php get_footer();