<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}


/**
 * Admin functions for the Event post type
 *
 * @author 		Themeum
 * @category 	Admin
 * @package 	Vocal
 *-------------------------------------------------------------*/

/*--------------------------------------------------------------
*			Register Gallery Post Type
*-------------------------------------------------------------*/

function themeum_post_type_gallery()
{
	$labels = array(
		'name'                	=> _x( 'Gallery', 'Gallery', 'vocal-event' ),
		'singular_name'       	=> _x( 'Gallery', 'Gallery', 'vocal-event' ),
		'menu_name'           	=> __( 'Gallery', 'vocal-event' ),
		'parent_item_colon'   	=> __( 'Parent Gallery:', 'vocal-event' ),
		'all_items'           	=> __( 'All Gallery', 'vocal-event' ),
		'view_item'           	=> __( 'View Gallery', 'vocal-event' ),
		'add_new_item'        	=> __( 'Add New Gallery', 'vocal-event' ),
		'add_new'             	=> __( 'New Gallery', 'vocal-event' ),
		'edit_item'           	=> __( 'Edit Gallery', 'vocal-event' ),
		'update_item'         	=> __( 'Update Gallery', 'vocal-event' ),
		'search_items'        	=> __( 'Search Gallery', 'vocal-event' ),
		'not_found'           	=> __( 'No article found', 'vocal-event' ),
		'not_found_in_trash'  	=> __( 'No article found in Trash', 'vocal-event' )
		);

	$args = array(  
		'labels'             	=> $labels,
		'public'             	=> true,
		'publicly_queryable' 	=> true,
		'show_in_menu'       	=> true,
		'show_in_admin_bar'   	=> true,
		'can_export'          	=> true,
		'has_archive'        	=> true,
		'hierarchical'       	=> false,
		'menu_position'      	=> null,
		'menu_icon'				=> '',
		'supports'           	=> array( 'title')
		);

	register_post_type('gallery', $args);

}

add_action('init','themeum_post_type_gallery');


/**
 * View Message When Updated Project
 *
 * @param array $messages Existing post update messages.
 * @return array
 */

function themeum_update_message_gallery( $messages )
{
	global $post, $post_ID;

	$message['gallery'] = array(
		0 => '',
		1 => sprintf( __('gallery updated. <a href="%s">View gallery</a>', 'vocal-event' ), esc_url( get_permalink($post_ID) ) ),
		2 => __('Custom field updated.', 'vocal-event' ),
		3 => __('Custom field deleted.', 'vocal-event' ),
		4 => __('gallery updated.', 'vocal-event' ),
		5 => isset($_GET['revision']) ? sprintf( __('gallery restored to revision from %s', 'vocal-event' ), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('gallery published. <a href="%s">View gallery</a>', 'vocal-event' ), esc_url( get_permalink($post_ID) ) ),
		7 => __('gallery saved.', 'vocal-event' ),
		8 => sprintf( __('gallery submitted. <a target="_blank" href="%s">Preview gallery</a>', 'vocal-event' ), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		9 => sprintf( __('gallery scheduled for: <strong>%1$s</strong>. <a target="_blank" href="%2$s">Preview gallery</a>', 'vocal-event' ), date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( get_permalink($post_ID) ) ),
		10 => sprintf( __('gallery draft updated. <a target="_blank" href="%s">Preview gallery</a>', 'vocal-event' ), esc_url( add_query_arg( 'preview', 'true', get_permalink($post_ID) ) ) ),
		);

return $message;
}

add_filter( 'post_updated_messages', 'themeum_update_message_gallery' );










