<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Upcoming Events
add_shortcode( 'vocal_events_counter', function($atts, $content = null){

	extract(shortcode_atts(array(
		'title' => '',
		'boxed'	=> '',
		'class'	=> '',
		'event_cat'=> 'themeumall'
		), $atts));

	global $post;


	if( ( $event_cat == '' ) || ( $event_cat == 'themeumall' ) ){
		$events = get_posts( array( 
					'post_type' => 'event',
					'showposts' => 1,
					'meta_key' => 'themeum_event_start_datetime',
					'meta_value' => date('Y-m-d h:i'),
					'meta_compare' => '>',
					'orderby' => 'meta_value',
					'order' => 'ASC'
				)
			);
	}else{
		$events = get_posts( array( 
					'post_type' => 'event',
					'showposts' => 1,
					'tax_query' => array(
						array(
							'taxonomy' => 'event_cat',
							'field'    => 'slug',
							'terms'    => $event_cat,
						),
					),
					'meta_key' => 'themeum_event_start_datetime',
					'meta_value' => date('Y-m-d h:i'),
					'meta_compare' => '>',
					'orderby' => 'meta_value',
					'order' => 'ASC'
				)
			);
	}


	

	$output  = '<div class="upcoiming-event-timer-shortcode '. esc_attr($boxed) . ' ' . esc_attr($class) .'">';
	if ($title) {
		$output .= '<h2 class="heading">' . esc_attr($title) . '</h2>';
	}

	if( count($events) > 0 ){ 
		foreach ($events as $key=>$post) {
			setup_postdata( $post );
			$datetime       = get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
			?>

            <script type="text/javascript">
                jQuery(function($) {
                    $('#home-countdown-timer1').countdown("<?php echo str_replace('-', '/', $datetime); ?>", function(event) {
                        $(this).html(event.strftime('<span><?php echo __("Only", "themeum"); ?></span> <span>%-D %!D:<?php echo __("Day", "themeum"); ?>,<?php echo __("Days", "themeum"); ?>;</span><span>%-H %!H:<?php echo __("Hour", "themeum"); ?>,<?php echo __("Hours", "themeum"); ?>;</span><span>%-M %!M:<?php echo __("Minute", "themeum"); ?>,<?php echo __("Minutes", "themeum"); ?>;</span><span>%-S %!S:<?php echo __("Second", "themeum"); ?>,<?php echo __("Seconds", "themeum"); ?>;</span><span><?php echo __("Left", "themeum"); ?></span>'));
                    });
                });
            </script>
            <?php $output  .= '<div id="home-countdown-timer1" class="home-countdown-timer"></div>';
            $output  .= '<h2 class="home-event-title">'.get_the_title().'</h2>';
            $output  .= '<a class="event-details-link" href="'.get_permalink().'">'.get_post_meta(get_the_ID(),'themeum_event_btn_ticket',true).'</a>';

		}

		wp_reset_postdata();
	}
	$output .= '</div>';//upcoiming-event-timer-wrapper

	return $output;

});



//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
vc_map(array(
	"name" => __("Vocal Events Counter", "vocal-event"),
	"base" => "vocal_events_counter",
	"icon" => "icon-thm-vocal-event-counter",
	"class" => "",
	"description" => __("Vocal Events Counter addons", "vocal-event"),
	"category" => __('Vocal'),
	"params" => array(

		array(
			"type" => "textfield",
			"heading" => __("Title", "vocal-event"),
			"param_name" => "title",
			"value" => "",
			"admin_label"=>true,
			),
		
		array(
				"type" => "dropdown",
				"heading" => __("Select The Performer Category:","themeum"),
				"param_name" => "event_cat",
				"value" => themeum_cat_list( 'event_cat' )
				),

		array(
			"type" => 'checkbox',
			"heading" => __("Boxed layout?", "vocal-event"),
			"param_name" => "boxed",
			"description" => __("If selected, widget will display inside box.", "vocal-event"),
			"value" => Array(__("Yes", "vocal-event") => "box")
			),

		array(
			"type" => "textfield",
			"heading" => __("Extra CSS Class", "vocal-event"),
			"param_name" => "class",
			"value" => "",
			"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
			),

		)
	));
}