<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Upcoming Events
add_shortcode( 'vocal_latest_media', function($atts, $content = null){

	extract(shortcode_atts(array(
		'title' 	=> '',
		'count' 	=> 2,
		'class'		=> '',
		'blog_cat'	=> 'themeumall'
		), $atts));
	
	$blog = '';

	if( ( $blog_cat == '' ) || ( $blog_cat == 'themeumall' ) ){
		$blog = get_posts( array( 
			'showposts' => esc_attr($count),		
			'paged'=>get_query_var('paged'),
		) );
	}else{
		$blog = get_posts( array( 
			'showposts' => esc_attr($count),
			'tax_query' => array(
								array(
									'taxonomy' => 'category',
									'field'    => 'slug',
									'terms'    => $blog_cat,
								),
							),
			'paged'=>get_query_var('paged')
		) );
	}
	

	$output  = '<div class="shortcode-latest-media ' . esc_attr($class) .'">';
	if ($title) {
		$output .= '<h2 class="heading">' . esc_attr($title) . '</h2>';
	}

	
	foreach ($blog as $data) {
		setup_postdata( $data );



		$output .= '<div class="media-appearance">';
			
			$post_format = get_post_format( $data->ID );

			$output .= '<div class="media-icon">';
			
			if( $post_format == 'image' ){
				//Image
				$output .= '<i class="fa fa-file-image-o"></i>';
			} elseif ( $post_format == 'video' ) {
				// Video
				$output .= '<i class="fa fa-file-video-o"></i>';
			} elseif ( $post_format == 'audio' ) {
				// Audio
				$output .= '<i class="fa fa-file-audio-o"></i>';
			} elseif ( $post_format == 'gallery' ) {
				// Gallery
				$output .= '<i class="fa fa-film"></i>';
			}else{
				// Standard
				$output .= '<i class="fa fa-thumb-tack"></i>';
			}

			$output .= '</div>';

			$output .= '<div class="media-body">';
				$output .= '<date>'.get_post_meta( $data->ID,'themeum_media_date',true).'</date> - <address>'.get_post_meta( $data->ID,'themeum_address',true ).'</address>';
				$output .= '<div class="media-title">'.get_the_title( $data->ID ).'</div>';
			$output .= '</div>';

		$output .= '</div>';

	}
	wp_reset_query();



	$output .= '</div>';

	return $output;

});


//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
vc_map(array(
	"name" => __("Media Appearence", "themeum"),
	"base" => "vocal_latest_media",
	"icon" => "icon-thm-latest-blog",
	"class" => "",
	"description" => __("Media Appearence", "themeum"),
	"category" => __('Vocal', "themeum"),
	"params" => array(


		array(
			"type" => "textfield",
			"heading" => __("Title", "themeum"),
			"param_name" => "title",
			"value" => "",
			"admin_label"=>true,
			),

		array(
			"type" => "dropdown",
			"heading" => __("Select Category:","themeum"),
			"param_name" => "blog_cat",
			"value" => themeum_cat_list( 'category' )
			),

		array(
			"type" => "textfield",
			"heading" => __("Count", "themeum"),
			"param_name" => "count",
			"value" => "",
			"description" => "Please enter the maximum number of blog posts you want to display. eg. 2"
			),

		array(
			"type" => "textfield",
			"heading" => __("Extra CSS Class", "themeum"),
			"param_name" => "class",
			"value" => "",
			"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
			),

		)
	));
}

