<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Upcoming performers
add_shortcode( 'performer_grid_view', function($atts, $content = null) {

	extract(shortcode_atts(array(
		'column' 		=> '3',
		'search_type' 	=> 'DESC',
		'number'		=> '6',
		'performer_cat' => 'themeumall',
		'class'			=> '',
		'boxed'			=> ''
		), $atts));

	global $post;
	$performers ='';

	if( ( $performer_cat == '' ) || ( $performer_cat == 'themeumall' ) ){
		$performers = get_posts( array( 
		'post_type' => 'performer',
		'showposts' => $number,
		'order' => 'ASC',
		'orderby' => 'menu_order'
		) );
	}else{
		$performers = get_posts( array( 
		'post_type' => 'performer',
		'tax_query' => array(
							array(
								'taxonomy' => 'performer_cat',
								'field'    => 'slug',
								'terms'    => $performer_cat,
							),
						),
		'showposts' => $number,
		'order' => 'ASC',
		'orderby' => 'menu_order'
		) );
	}



	

	$output = '';

	$output  .= '<div class="gallery performers-grid ' . $class .' '.$boxed.' clearfix">';
			
	$i=1;
    $j=1;

    if( is_array( $performers ) ){
		if ( count( $performers ) > 0 ) {
			foreach ( $performers as $post) {
				setup_postdata( $post );
                
            	if($i==1){ $output .= '<div class="row">'; }

				$output .= '<div class="post-'.get_the_ID().' col-sm-6 col-md-'.$column.' event type-event status-publish has-post-thumbnail hentry event_cat-floral-pavilion" >';
					$thumb_src = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
					$output .= '<div class="overlay-outer">';

						$output .= '<img src="' . $thumb_src . '" alt="' . get_the_title() . '" class="img-performer img-responsive" />';
						$output .= '<div class="overlay-info">';
						$output .= '<div>';
						$output .= '<h3>' . get_the_title() . ' <span>' . get_post_meta(get_the_ID(),'themeum_performer_position', true) . '</span></h3>';
						$output .= '</div>';
						$output .= '</div>';//overlay-info

						//Overlay
						$output .= '<div class="overlay">';
							$output .= '<div class="overley-content performer-details">';
								$output .= '<h3><a href="' . get_permalink() . '">' . get_the_title() . '</a></h3>';
								$output .= '<p class="performer-position">' . get_post_meta(get_the_ID(),'themeum_performer_position', true) . '</p>';

								if( get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) ){
									$output .= '<p>' . get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) . '</p>';	
								}

								$output .= '<div class="social-icons">';
								if( get_post_meta(get_the_ID(),'themeum_performer_website', true) ){
									$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_website', true) . '"><i class="fa fa-globe"></i></a>';	
								}

								if( get_post_meta(get_the_ID(),'themeum_performer_youtube', true) ){
									$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_youtube', true) . '"><i class="fa fa-youtube"></i></a>';	
								}

								if( get_post_meta(get_the_ID(),'themeum_performer_twitter', true) ){
									$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_twitter', true) . '"><i class="fa fa-twitter"></i></a>';	
								}

								if( get_post_meta(get_the_ID(),'themeum_performer_facebook', true) ){
									$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_facebook', true) . '"><i class="fa fa-facebook"></i></a>';	
								}

								if( get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) ){
									$output .= '<a href="' . get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) . '"><i class="fa fa-google-plus"></i></a>';	
								}
								$output .= '</div>';//social-icons
							$output .= '</div>';//overley-content                                
						$output .= '</div>';//overlay
					$output .= '</div>';//overlay-outer
				$output .= '</div>'; //col-sm-6

                if( $i == (12/$column) ){
                    $output .= '</div>';//row
                    $i=1;
                }else{
                    if( $j== count($performers) ){
                        $output .= '</div>';//row
                    }
                    $i++;
                }
                $j++;
            }
		}
	}
		wp_reset_postdata();
		$output .= '</div>';


	return $output;

});

//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
	vc_map(array(
		"name" => __("Performer Grid View", "vocal-event"),
		"base" => "performer_grid_view",
		'icon' => 'icon-thm-gallery',
		"class" => "",
		"description" => "",
		"category" => __('Vocal'),
		"params" => array(

			array(
				"type" => "dropdown",
				"heading" => __("Select The Performer Category:","themeum"),
				"param_name" => "performer_cat",
				"value" => themeum_cat_list( 'performer_cat' )
				),

			array(
				"type" => "dropdown",
				"heading" => __("Number of Column", "themeum-lms"),
				"param_name" => "column",
				"value" => array('Select'=>'','column 2'=>'6','column 3'=>'4','column 4'=>'3'),
				),

			array(
		          "type" => "dropdown",
		          "heading" => __("Search Type", "themeum-lms"),
		          "param_name" => "search_type",
		          "value" =>  array(
		          	  'Select'=>'',
		              'Ascending'    => 'ASC',
		              'Descending'   => 'DESC',
		            )
		        ),

			array(
				"type" => "textfield",
				"heading" => __("Number Of Event:"),
				"param_name" => "number",
				"value" => "",
				"description" => "Please enter the maximum number of photos files. eg. 12"
				),

			array(
				"type" => 'checkbox',
				"heading" => __("Boxed layout?", "vocal-event"),
				"param_name" => "boxed",
				"description" => __("If selected, widget will display inside box.", "vocal-event"),
				"value" => Array(__("Yes", "vocal-event") => "box")
				),

			array(
				"type" => "textfield",
				"heading" => __("Extra CSS Class", "vocal-event"),
				"param_name" => "class",
				"value" => "",
				"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
				),

			)
		));
}
