<?php
if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

//Performer Scroller
add_shortcode( 'vocal_performers', function($atts, $content = null){

	extract(shortcode_atts(array(
		"title" 		=> '',
		'count'			=> 8,
		'slides' 		=> 2,
		'boxed'			=> '',
		'class'			=> '',
		'autoplay'		=> 'false',
		'slidespeed'	=> '5000',
		'desktop_count'	=> 4,
		'performer_cat' => 'themeumall'
		), $atts));

	$number = rand( 1,100 );

	global $post;
	$performers ='';



	if( ( $performer_cat == '' ) || ( $performer_cat == 'themeumall' ) ){
		$performers = get_posts( array( 
		'post_type' => 'performer',
		'showposts' => $count,
		'order' => 'ASC',
		'orderby' => 'menu_order'
		) );
	}else{
		$performers = get_posts( array( 
		'post_type' => 'performer',
		'tax_query' => array(
							array(
								'taxonomy' => 'performer_cat',
								'field'    => 'slug',
								'terms'    => $performer_cat,
							),
						),
		'showposts' => $count,
		'order' => 'ASC',
		'orderby' => 'menu_order'
		) );
	}

	



	$output = '<div class="vocal-performers '. $boxed . ' ' . $class .'">';

	
	$output .= '<div class="box-title">';
	
	if($title) {
		$output .= '<h2 class="heading">' . $title . '</h2>';
	}
	if ( $count > 4 ) {
		$output .= '<div class="owl-controls owl-controls-'.$number.'">';
		$output .= '<a class="owl-control performerPrev"><span><i class="fa fa-angle-left"></i></span></a>';
		$output .= '<a class="owl-control performerNext"><span><i class="fa fa-angle-right"></i></span></a>';
		$output .= '</div>';
		$output .= '</div>';
	}
	$output .= '<div id="carousel-performer'.$number.'" class="owl-carousel owl-theme">';

	foreach ($performers as $key=>$post) {
		setup_postdata( $post );

		$thumb_src = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
		$output .= '<div class="overlay-outer">';

			$output .= '<img src="' . $thumb_src . '" alt="' . get_the_title() . '" class="img-performer img-responsive" />';
			$output .= '<div class="overlay-info">';
			$output .= '<div>';
			$output .= '<h3>' . get_the_title() . ' <span>' . get_post_meta(get_the_ID(),'themeum_performer_position', true) . '</span></h3>';
			$output .= '</div>';
			$output .= '</div>';//overlay-info

			//Overlay
			$output .= '<div class="overlay">';
				$output .= '<div class="overley-content performer-details">';
					$output .= '<h3><a href="' . get_permalink() . '">' . get_the_title() . '</a></h3>';
					$output .= '<p class="performer-position">' . get_post_meta(get_the_ID(),'themeum_performer_position', true) . '</p>';

					if( get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) ){
						$output .= '<p>' . get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) . '</p>';	
					}

					$output .= '<div class="social-icons">';
					if( get_post_meta(get_the_ID(),'themeum_performer_website', true) ){
						$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_website', true) . '"><i class="fa fa-globe"></i></a>';	
					}

					if( get_post_meta(get_the_ID(),'themeum_performer_youtube', true) ){
						$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_youtube', true) . '"><i class="fa fa-youtube"></i></a>';	
					}

					if( get_post_meta(get_the_ID(),'themeum_performer_twitter', true) ){
						$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_twitter', true) . '"><i class="fa fa-twitter"></i></a>';	
					}

					if( get_post_meta(get_the_ID(),'themeum_performer_facebook', true) ){
						$output .= '<a href="' . get_post_meta(get_the_ID(),'themeum_performer_facebook', true) . '"><i class="fa fa-facebook"></i></a>';	
					}

					if( get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) ){
						$output .= '<a href="' . get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) . '"><i class="fa fa-google-plus"></i></a>';	
					}
					$output .= '</div>';//social-icons
				$output .= '</div>';//overley-content                                
			$output .= '</div>';//overlay
		$output .= '</div>';//overlay-outer
		
	}

	wp_reset_postdata();


	$output .= '</div>';//#carousel-performer
	$output .= '</div>';

	if( $autoplay == '' ){ $autoplay = 'false'; }
	if( $desktop_count == '' ){ $desktop_count = 4; }
	if( $slidespeed == '' ){ $slidespeed = 4000; }

	$stc = 'items :'.$desktop_count.', autoPlay : '.$autoplay.', slideSpeed : '.$slidespeed.',';
	
	$output .= "<script type='text/javascript'>
				window.performers = window.performers || {};
			jQuery(document).ready(function(){
				
				performers['".$number."'] = jQuery('#carousel-performer".$number."');
				performers['".$number."'].owlCarousel({
			      itemsDesktop : [1000,3],
			      itemsDesktopSmall : [900,2],
			      itemsTablet: [600,1],
			      pagination : false,".$stc."
			      itemsMobile : false
			  });
				jQuery('.owl-controls-".$number." .performerPrev').click(function(){ performers['".$number."'].trigger('owl.prev'); });
				jQuery('.owl-controls-".$number." .performerNext').click(function(){ performers['".$number."'].trigger('owl.next'); });
			});
			</script>";




	return $output;
});


//Visual Composer
if (class_exists('WPBakeryVisualComposerAbstract')) {
	vc_map(array(
		"name" => __("Vocal Performers", "vocal-event"),
		"base" => "vocal_performers",
		'icon' => 'icon-wpb-performers',
		"class" => "",
		"description" => "Vocal performers scroller",
		"category" => __("Vocal", "vocal-event"),
		"params" => array(

			 
			
			array(
				"type" => "dropdown",
				"heading" => __("Select The Performer Category:","themeum"),
				"param_name" => "performer_cat",
				"value" => themeum_cat_list( 'performer_cat' )
				),
			

			array(
				"type" => "textfield",
				"heading" => __("Title:", "vocal-event"),
				"param_name" => "title",
				"description" => __("Enter text which will be used as widget title. Leave blank if no title is needed.", "vocal-event"),
				"value" => "",
				"admin_label"=>true,
				),

			array(
				"type" => "textfield",
				"heading" => __("Maximum Number Of Slides:"),
				"param_name" => "count",
				"description" => __("Enter the number of performers you want to display.", "vocal-event"),
				"value" => '', 
				),

			array(
				"type" => 'checkbox',
				"heading" => __("Autoplay:", "vocal-event"),
				"param_name" => "autoplay",
				"description" => __("If selected, performer slider will autoplay.", "vocal-event"),
				"value" => Array(__("Yes", "vocal-event") => "true")
				),

			array(
				"type" => 'textfield',
				"heading" => __("Slide Speed:", "vocal-event"),
				"param_name" => "slidespeed",
				"description" => __("put here slide speed in milliseconds ex:5000", "vocal-event"),
				"value" => ""
				),

			array(
				"type" => "textfield",
				"heading" => __("Number Of Element Show in Desktop View:"),
				"param_name" => "desktop_count",
				"description" => __("Enter the number of performers you want to display on Desktop View.", "vocal-event"),
				"value" => '', 
				),


			array(
				"type" => 'checkbox',
				"heading" => __("Boxed layout?", "vocal-event"),
				"param_name" => "boxed",
				"description" => __("If selected, widget will display inside box.", "vocal-event"),
				"value" => Array(__("Yes", "vocal-event") => "box")
				),

			array(
				"type" => "textfield",
				"heading" => __("Extra CSS Class", "vocal-event"),
				"param_name" => "class",
				"value" => "",
				"description" => "If you wish to style particular content element differently, then use this field to add a class name and then refer to it in your css file."
				),

			)

));
}