<?php
/**
 * Plugin Name: Vocal Event
 * Plugin URI: http://www.themeum.com
 * Description: Vocal is ultimate event plugins
 * Author: Themeum
 * Version: 4.7
 * Author URI: http://www.themeum.com
 *
 * Tested up to: 4.0
 * Text Domain: vocal-event
 *
 * @package Vocal
 * @category Core
 * @author Themeum
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit; // Exit if accessed directly
}

define( 'THMRWMB_URL', trailingslashit( plugins_url( 'post-type/meta-box' , __FILE__ ) ) );
define( 'THMRWMB_DIR', trailingslashit(  plugin_dir_path( __FILE__ ). 'post-type/meta-box' ) );

// List of Group
function themeum_cat_lists( $category ){
    global $wpdb;
    $sql = "SELECT * FROM `".$wpdb->prefix."term_taxonomy` INNER JOIN `".$wpdb->prefix."terms` ON `".$wpdb->prefix."term_taxonomy`.`term_taxonomy_id`=`".$wpdb->prefix."terms`.`term_id` AND `".$wpdb->prefix."term_taxonomy`.`taxonomy`='".$category."'";
    $results = $wpdb->get_results( $sql );

    $cat_list = array();
    if(is_array($results)){
        foreach ($results as $value) {
            $cat_list[$value->name] = $value->slug;
        }
    }
    return $cat_list;
}

// Include the meta box script
require_once THMRWMB_DIR . 'meta-box.php';

/*
 * Include required core files used in admin and on the frontend.
 */

include_once( 'post-type/performer.php' );
include_once( 'post-type/pricing.php' );
include_once( 'post-type/event.php' );
include_once( 'post-type/meta_box.php' );
include_once( 'post-type/album.php' );
include_once( 'post-type/gallery.php' );
include_once( 'post-type/video.php' );

//For Additional Function List
include_once( 'shortcodes/themeum-function-list.php' );

//Shortcodes
include_once( 'shortcodes/performer.php' );
include_once( 'shortcodes/event.php' );
include_once( 'shortcodes/audio.php' );
include_once( 'shortcodes/album.php' );
include_once( 'shortcodes/photogallery.php' );
include_once( 'shortcodes/single-photogallery.php' );
include_once( 'shortcodes/event-grid-view.php' );
include_once( 'shortcodes/search.php' );
include_once( 'shortcodes/video-gallery.php' );
include_once( 'shortcodes/blog-post.php' );
include_once( 'shortcodes/event-counter.php' );
include_once( 'shortcodes/performer-grid-view.php' );
include_once( 'shortcodes/latest-media.php' );

/* Include settings */
include_once( 'vocal_event_settings.php' );
/* define metaboxes */

/* add shortcode files */

/* add Template Files */

add_action( 'plugins_loaded', 'vocal_event_init' );

function vocal_event_init(){
	vocal_event_language_load();
}

function vocal_event_language_load($locale = null){
	global $l10n;
	
	$domain = 'vocal-event';

	if ( get_locale() == $locale ) {
		$locale = null;
	}

	if ( empty( $locale ) ) {
		return load_plugin_textdomain( $domain, false, $domain . '/languages' );
	} else {
		$mo_orig = $l10n[$domain];
		unload_textdomain( $domain );

		$mofile = $domain . '-' . $locale . '.mo';
		$path = WP_PLUGIN_DIR . '/' . $domain . '/languages';

		if ( $loaded = load_textdomain( $domain, $path . '/'. $mofile ) ) {
			return $loaded;
		} else {
			$mofile = WP_LANG_DIR . '/plugins/' . $mofile;
			return load_textdomain( $domain, $mofile );
		}

		$l10n[$domain] = $mo_orig;
	}

	return false;
	
}

function beackend_theme_update_notice()
{
    wp_enqueue_style('woonotice',plugins_url('assets/css/woonotice.css',__FILE__));
}
add_action( 'admin_print_styles', 'beackend_theme_update_notice' );

