<?php

add_action('widgets_init','register_themeum_audio_player_widget');

function register_themeum_audio_player_widget()
{
	register_widget('Themeum_Audio_Player_Widget');
}

class Themeum_Audio_Player_Widget extends WP_Widget{

	function __construct()
	{
		parent::__construct( 'Themeum_Audio_Player_Widget', 'Vocal Audio Player', array('description' => 'Audio player widget to display audios from latest album.'));
	}


	/*-------------------------------------------------------
	 *				Front-end display of widget
	 *-------------------------------------------------------*/

	function widget($args, $instance)
	{
		extract($args);

		$title 			= apply_filters('widget_title', $instance['title'] );
		$count 			= $instance['count'];
		
		echo $before_widget;

		$output = '';

		if ( $title ) echo $before_title . $title . $after_title;
		
		echo do_shortcode( '[vocal_audio limit="' . $count . '" /]' );

		echo $after_widget;
	}


	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;

		$instance['title'] 			= strip_tags( $new_instance['title'] );
		$instance['count'] 			= strip_tags( $new_instance['count'] );

		return $instance;
	}


	function form($instance)
	{
		$defaults = array( 
			'title' 	=> 'Vocal Audio Player',
			'count' 	=> 5
		);
		$instance = wp_parse_args( (array) $instance, $defaults );
		?>
		<p>
			<label for="<?php echo $this->get_field_id( 'title' ); ?>"><?php _e('Widget Title:'); ?></label>
			<input id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo $instance['title']; ?>" style="width:100%;" />
		</p>

		<p>
			<label for="<?php echo $this->get_field_id( 'count' ); ?>"><?php _e('Count'); ?></label>
			<input id="<?php echo $this->get_field_id( 'count' ); ?>" name="<?php echo $this->get_field_name( 'count' ); ?>" value="<?php echo $instance['count']; ?>" style="width:100%;" />
		</p>

	<?php
	}
}