<?php
header('Content-type: text/css');

$parse_uri = explode('wp-content', $_SERVER['SCRIPT_FILENAME']);
$wp_load = $parse_uri[0].'wp-load.php';
require_once($wp_load);

global $themeum_options;

$output = '';

//header
if(isset($themeum_options['header-bg']))
{
   $output .= '.navbar-default{ background: '.$themeum_options['header-bg']['color'].'; }';
}

if ($themeum_options['header-fixed'])
{
   $output .= '#masthead.sticky{ position:fixed; 0; z-index:99999;margin:0 auto 30px; width:100%; -webkit-transition: 0.4s top cubic-bezier(.3,.73,.3,.74);
    -moz-transition: 0.4s top cubic-bezier(.3,.73,.3,.74);
    -ms-transition: 0.4s top cubic-bezier(.3,.73,.3,.74);
    -o-transition: 0.4s top cubic-bezier(.3,.73,.3,.74);
    transition: 0.4s top cubic-bezier(.3,.73,.3,.74); }';
    $output .= '#masthead.sticky .navbar-default{ background: '.$themeum_options['header-bg']['color'].'; }';
}

/* ====================================
* =========== Main Menu ===============
=======================================*/
# mainmenu...
if(isset($themeum_options['menu-font-color'])){
  $output .= '#main-menu .navbar-nav > li > a, .social-icons a{ color: '.$themeum_options['menu-font-color'] .'; }';
}


if(isset($themeum_options['menu-text-hover-color'])){
  $output .= '#main-menu .navbar-nav > li.active > a, #main-menu .navbar-nav > li:hover > a, .social-icons a:hover{ color: '.$themeum_options['menu-text-hover-color'] .'; }';
}

if($themeum_options['menu-padding-top']){
  $output .= '.site-header .navbar{ padding-top: '. (int) $themeum_options['menu-padding-top'] .'px !important; }';
}

if($themeum_options['menu-padding-bottom']){
  $output .= '.site-header .navbar{ padding-bottom: '. (int) $themeum_options['menu-padding-bottom'] .'px !important; }';
}

# submenu...
if(isset($themeum_options['submenu-bg'])){
  $output .= '#main-menu ul.sub-menu, #navigation .woocommerce.widget_shopping_cart ul.cart_list > li{ background-color: '.$themeum_options['submenu-bg'] .'; }';
}

if(isset($themeum_options['submenu-bg'])){
  $output .= '#navigation .woocommerce.widget_shopping_cart ul.cart_list > li:hover{ background-color: '.$themeum_options['submenu-bg'] .'; }';
}

if(isset($themeum_options['submenu-text-color'])){
  $output .= '#main-menu ul.sub-menu li > a{ color: '.$themeum_options['submenu-text-color'] .'; }';
}

if(isset($themeum_options['submenu-text-hover-color'])){
  $output .= '#main-menu ul.sub-menu li > a:hover{ color: '.$themeum_options['submenu-text-hover-color'] .'; }';
}

// =========================================
if(isset($themeum_options['subtitle-title-color'])){
  $output .= '.site-content .box h1, .heading{ color: '.$themeum_options['subtitle-title-color'] .'; }';
}

if($themeum_options['subtitle-padding-top']){
  $output .= '.site-content .box h1, .heading{ padding-top: '. (int) $themeum_options['subtitle-padding-top'] .'px; }';
}

if($themeum_options['subtitle-padding-bottom']){
  $output .= '.site-content .box h1, .heading{ padding-bottom: '. (int) $themeum_options['subtitle-padding-bottom'] .'px; }';
}

// # footer section 

if(isset($themeum_options['footer-text-color'])){
  $output .= '.footer{ color: '.$themeum_options['footer-text-color'] .'; }';
}

if($themeum_options['footer-padding-top']){
  $output .= '.box{ padding-top: '. (int) $themeum_options['footer-padding-top'] .'px; }';
}

if($themeum_options['footer-padding-bottom']){
  $output .= '.box{ padding-bottom: '. (int) $themeum_options['footer-padding-bottom'] .'px; }';
}

# Mainmenu end.
if($themeum_options['logo-width']){
  $output .= '.logo-wrapper img{ width: '.$themeum_options['logo-width'] .'px; }';
}
if($themeum_options['logo-height']){
  $output .= '.logo-wrapper img{ height: '.$themeum_options['logo-height'] .'px; }';
}


if(isset($themeum_options['header-margin-top']))
{
   $output .= '.header{ margin-top: '.$themeum_options['header-margin-top'] .'}';
}

if(isset($themeum_options['header-margin-bottom'])){
   $output .= '.header{ margin-bottom: '.$themeum_options['header-margin-bottom'] .'}';
}

if(isset($themeum_options['background-type']) && ($themeum_options['background-type'] == 4 ))
{
    $site_bg_color = $themeum_options['site-bg-color'];
    $output .= 'body{ background: '.themeum_hex2rgba($site_bg_color['color'], $site_bg_color['alpha']) .'}';
}

if(isset($themeum_options['background-type']) && ($themeum_options['background-type'] == 3 ))
{
    $image_bg = $themeum_options['image-bg'];
    $output .= 'body{ background-image: url('.$image_bg['url'] .'); background-size: cover;background-position: 0 0;background-repeat: no-repeat;background-attachment: fixed;}';
}

if(isset($themeum_options['custom-preset-en']) && $themeum_options['custom-preset-en']) {

$major_color = $themeum_options['link-color'];
$minor_color = $themeum_options['hover-color'];

ob_start();

?>

.preloader {
  background: <?php echo $major_color; ?>;
}

a,
.social-icons a:hover,
.social-share ul li a:hover,
#sidebar .widget_categories ul li a:hover,
#sidebar .widget_categories ul li a:hover:before {
  color: <?php echo $major_color; ?>;
}

a:hover {
  color: <?php echo $minor_color; ?>;
}

.btn.btn-primary,
button, input[type="submit"],
.product-thumbnail-outer .add_to_cart_button:hover {
  background: <?php echo $major_color; ?>;
  box-shadow: 0 2px <?php echo $minor_color; ?>;
}

.btn.btn-primary:hover,
button:hover, input[type="submit"]:hover,
.product-thumbnail-outer .add_to_cart_button:hover {
  background-color: <?php echo $minor_color; ?>;
}

/*Menu*/
#main-menu .navbar-nav > li.active > a, 
#main-menu .navbar-nav > li:hover > a {
  color: <?php echo $major_color; ?>;
}

ul.sub-menu{
  background: <?php echo $major_color; ?>;
}

/*Pagination*/
.pagination >li>a:hover,
.pagination >li.active>a,
.pagination >li.active>a:hover,
.entry-meta .tag-links a:hover,
.entry-meta .tag-links a:hover,
.shortcode-latest-blogs .entry-date {
  background: <?php echo $major_color; ?>;
  color: #fff;
}

.entry-meta .tag-links a:hover:before {
  border-right-color: <?php echo $major_color; ?>;
}

/*Audio Player*/
.wp-playlist .mejs-container.mejs-audio  .mejs-controls .mejs-play,
.wp-playlist .mejs-container.mejs-audio  .mejs-controls .mejs-pause,
.wp-playlist .mejs-container.mejs-audio .mejs-controls .mejs-time-rail .mejs-time-current, 
.wp-playlist .mejs-container.mejs-audio .mejs-controls .mejs-horizontal-volume-slider .mejs-horizontal-volume-current,
.wp-playlist .mejs-container.mejs-audio  .mejs-controls .mejs-time-rail .mejs-time-float,
.sc-player .sc-controls {
  background: <?php echo $major_color; ?>;
}

.wp-playlist .mejs-container.mejs-audio  .mejs-controls .mejs-time-rail .mejs-time-float-corner {
  border-color: <?php echo $major_color; ?> transparent transparent transparent;
}

.sc-player ol.sc-trackslist li.active a,
.wp-playlist .wp-playlist-tracks .wp-playlist-item.wp-playlist-playing a {
  color: <?php echo $major_color; ?>; 
}

/*Event*/
.overlay,
.album-overlay .album-info,
.gallery-overlay,
ul.gallery-shortcode li a:before,
.media-performer,
.tour-content {
  background-color: <?php echo themeum_hex2rgba($major_color, .8); ?>;
}

.shortcode-upcoming-event .entry-date,
.flexslider.item-date-wrapper ul li.flex-active-slide,
.event-date-time .event-date i,
.event-date-time .event-time i,
.featured .pricing-plan {
  background: <?php echo $major_color; ?>;
}

#event-countdown .countdown-section:nth-child(odd) {
  background: <?php echo themeum_hex2rgba($major_color, .7); ?>;
} 

#event-countdown .countdown-section:nth-child(even) {
  background: <?php echo themeum_hex2rgba($minor_color, .7); ?>;
}

.pull-left .event-tabs {
  background: <?php echo $major_color; ?>;
}


/*woo*/
.woocommerce div.product .woocommerce-tabs ul.nav-tabs > li.active > a,
.woocommerce-page div.product .woocommerce-tabs ul.nav-tabs > li.active > a,
.woocommerce #content div.product .woocommerce-tabs ul.nav-tabs > li.active > a,
.woocommerce-page #content div.product .woocommerce-tabs ul.nav-tabs > li.active > a,
.woo-cart-items > span,
#navigation .woocommerce.widget_shopping_cart,
.woocommerce .widget_price_filter .ui-slider .ui-slider-handle,
.woocommerce-page .widget_price_filter .ui-slider .ui-slider-handle,
.woocommerce .widget_price_filter .ui-slider .ui-slider-range,
.woocommerce-page .widget_price_filter .ui-slider .ui-slider-range,
span.onsale {
  background: <?php echo $major_color; ?>;
}

.woo-cart-items > span:after {
  border-color: transparent transparent transparent <?php echo $major_color; ?>;
}

<?php

$output .= ob_get_clean();

}

echo $output;
