    <?php
        global $themeum_options;
        $slider_bgs = '';

        if(isset($themeum_options['slider-bg'])) 
            $slider_bgs = $themeum_options['slider-bg'];

        $slider_srcs   = array();
        $slider_images = explode(',', $slider_bgs);

        foreach ($slider_images as $value) {
            $src            = wp_get_attachment_image_src( $value, 'full' );
            $slider_srcs[]  = '"' . $src[0] . '"';
        }

        $slider_srcs = implode(',', $slider_srcs);
    ?>

    <?php if (isset($themeum_options['background-type']) && ($themeum_options['background-type'] == 1 )) { ?>
    <?php wp_enqueue_script('backstretch', get_template_directory_uri().'/js/jquery.backstretch.min.js',array(),false,true); ?>
    <script type="text/javascript">
        jQuery(function($){
            $(window).load(function(){
                $.backstretch([<?php echo $slider_srcs; ?>], {fade: 750, duration: 5000});
            });
        });
    </script>
    <?php } ?>
    
    <?php if (isset($themeum_options['background-type']) && ($themeum_options['background-type'] == 2 )){
        $fall_back = $themeum_options['video-fall-bg'];
        if (empty($fall_back)) {
            $fall_back['url'] = '';
        } // fall back image

        wp_enqueue_style('bigvideocss', get_template_directory_uri().'/css/bigvideo.css');
        wp_enqueue_script('mordernizr_touch', get_template_directory_uri().'/js/mordernizr.touch.js',array(),false,false);
        wp_enqueue_script('videojs', get_template_directory_uri().'/js/video.js',array(),false,true);
        wp_enqueue_script('bigvideojs', get_template_directory_uri().'/js/bigvideo.js',array(),false,true);

        if (!$themeum_options['video-type'] && $themeum_options['own-video-bg']) {
            $video_sound = 'ambient:true';
            if ($themeum_options['video-sound']) {
                $video_sound = 'ambient:false';
            }
        ?>
        <script type="text/javascript">
            jQuery(function($) {
                $(document).ready(function($) {
                    var BV = new $.BigVideo();
                    BV.init();
                    if (Modernizr.touch) {
                        BV.show('<?php echo $fall_back["url"]; ?>');
                    } else {
                        BV.show('<?php echo $themeum_options["own-video-bg"]; ?>',{<?php echo $video_sound; ?>,loop:true,"preload": "auto"});
                    }
                });
                
            });
        </script>
    <?php } //self hosted video ?>

    <?php if ($themeum_options['video-type'] && $themeum_options['youtube-video-bg']) {
            $video_sound = 'mute:true';
            if ($themeum_options['video-sound']) {
                $video_sound = 'mute:false';
            }
        ?>
    <div id="playerVideo1"  class="mbYTPMovie inline_YTPlayer" data-property="{videoURL:'<?php echo $themeum_options['youtube-video-bg']; ?>', opacity:1, autoPlay:true, containment:'body', startAt:0, stopAt:0, <?php echo $video_sound; ?>, optimizeDisplay:true, showControls:false, printUrl:false, loop:true, addRaster:true, quality:'default', realfullscreen:true, ratio:'auto', gaTrack:false, stopMovieOnBlur:true}"></div>
    <?php
        wp_enqueue_style('YTPlayer', get_template_directory_uri().'/css/YTPlayer.css');
        wp_enqueue_script('mordernizr_touch', get_template_directory_uri().'/js/mordernizr.touch.js',array(),false,false);
        wp_enqueue_script('mb_YTPlayer', get_template_directory_uri().'/js/jquery.mb.YTPlayer.min.js',array(),false,true);
    ?>
    <script type="text/javascript">
        jQuery(function($) {
            if (Modernizr.touch) {
                $('body').css({
                    'background' : 'url(<?php echo $fall_back["url"]; ?>) no-repeat fixed 0 0',
                    'background-size' : 'cover'
                });
            }else{
                function onYouTubePlayerAPIReady() {
                    if(ytp.YTAPIReady)
                        return;
                    ytp.YTAPIReady=true;
                    $(document).trigger("YTAPIReady");
                }
                $(".mbYTPMovie").YTPlayer();
            }
        });
    </script>
    
    <?php } //youtube video
    }?>

    <?php wp_footer(); ?>
</body>
</html>