<?php 

/*
 * Template Name: Video Grid 3 Template
 */

get_header();

add_filter('parse_query', function(&$q){
    global $themeum_options;
    $q->set( 'posts_per_page', $themeum_options['video-post-per-page'] );

    return $q;
});
?>
<section id="main" class="clearfix">
    <div id="page" class="container videos">
        <div class="box">
            <h2 class="heading"><?php echo get_the_title(); ?></h2>
            <div class="row video-column-3">
                <?php 
                $paged      = (get_query_var('paged')) ? get_query_var('paged') : 1;
                $args       = array( 'post_type' => 'video', 'paged' => $paged );
                $videos     = new WP_Query( $args );

                if ( $videos->have_posts() ) {
                    while($videos->have_posts()) { $videos->the_post();
                        ?>
                        <div id="post-<?php the_ID(); ?>" class="col-xs-6 col-sm-6 col-md-4">
                            <div class="video-content overlay-outer">
                                <?php if ( has_post_thumbnail() && ! post_password_required() ) { ?>
                                <?php the_post_thumbnail('video-thumb-small', array('class' => 'img-responsive')); ?>
                                <?php } //.entry-thumbnail ?>
                                <div class="video-info overlay-info">
                                    <div><h3><?php the_title(); ?></h3></div>
                                </div>
                                <div class="overlay">
                                    <div class="overley-content">
                                        <h3><a href="<?php the_permalink(); ?>"><?php the_title();?></a></h3>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <?php 
                    }
                }
                ?>
            </div>
            <?php  wp_reset_query(); ?>
        </div>
        <?php themeum_pagination($videos->max_num_pages); ?>
    </div>
</section>
<?php get_footer();