<?php
get_header();
global $themeum_options;
?>

<section id="main" class="clearfix">
	<div id="page" class="container event-page">
		<div id="content" class="event-content box" role="main">
			<?php while(have_posts()): the_post(); ?>

				<?php
					$datetime 			= get_post_meta(get_the_ID(),'themeum_event_start_datetime',true);
					$end_datetime 		= get_post_meta(get_the_ID(),'themeum_event_end_datetime',true);
					$performers 		= get_post_meta(get_the_ID(),'themeum_event_performers');
					$location 			= rwmb_meta('themeum_event_location');
					$map 				= rwmb_meta('themeum_event_location_map');
					$pricing 			= get_post_meta(get_the_ID(),'themeum_event_pricing',true);
					$disable_pricing 	= get_post_meta(get_the_ID(),'themeum_event_disable_pricing',true);
					$price 				= get_post_meta(get_the_ID(),'themeum_event_std_price',true);
					$price_link			= get_post_meta(get_the_ID(),'themeum_event_ticket_link',true);
					$label				= get_post_meta(get_the_ID(),'themeum_event_btn_ticket',true);
					$trigger			= get_post_meta(get_the_ID(),'themeum_event_map_trigger',true);
				?>
				<?php if($datetime > date('Y-m-d h:i')){ ?>
				<script type="text/javascript">
					jQuery(function($) {
						$('#event-countdown').countdown("<?php echo str_replace('-', '/', $datetime); ?>", function(event) {
							$(this).html(event.strftime('<div class="countdown-section"><span class="countdown-amount">%-D </span><span class="countdown-period">%!D:<?php echo __("Day", "themeum"); ?>,<?php echo __("Days", "themeum"); ?>;</span></div><div class="countdown-section"><span class="countdown-amount">%-H </span><span class="countdown-period">%!H:<?php echo __("Hour", "themeum"); ?>,<?php echo __("Hours", "themeum"); ?>;</span></div><div class="countdown-section"><span class="countdown-amount">%-M </span><span class="countdown-period">%!M:<?php echo __("Minute", "themeum"); ?>,<?php echo __("Minutes", "themeum"); ?>;</span></div><div class="countdown-section"><span class="countdown-amount">%-S </span><span class="countdown-period">%!S:<?php echo __("Second", "themeum"); ?>,<?php echo __("Seconds", "themeum"); ?>;</span></div>'));
						});
					});
				</script>
				<?php } ?>

				<div id="post-<?php the_ID(); ?>" <?php post_class(array('class' => 'page-event-details' )); ?>>

					<h2 class="page-header"><?php the_title() ;?></h2>
					<?php if($datetime > date('Y-m-d h:i')){ ?>
					<div id="event-countdown"></div>
					<!--/#event-countdown-->
					<?php } ?>

					<div class="event-content">
						<?php the_content();?>
					</div>


					<?php if(!empty($performers)) { ?>
						<div class="event-performers">
							<?php 
								$posts_id = array();
								foreach ($performers as $value) {
									$posts = get_posts(array('post_type' => 'performer', 'name' => $value));
									$posts_id[] = $posts[0]->ID;
								}
								$performers = get_posts( array( 'post_type' => 'performer', 'post__in' => $posts_id, 'posts_per_page' => -1) );
							?>

							<h2><?php echo __('Event Performers', 'themeum'); ?></h2>
							<?php if( count($performers) > 4){ ?>
								<div class="owl-controls">
									<a class="owl-control performerPrev"><span><i class="fa fa-angle-left"></i></span></a>
									<a class="owl-control performerNext"><span><i class="fa fa-angle-right"></i></span></a>
								</div>
							<?php } ?>

							<div id="carousel-performer" class="owl-carousel owl-theme">

								<?php foreach ($performers as $key=>$post) {

								setup_postdata( $post );

								$thumb_src = wp_get_attachment_url( get_post_thumbnail_id( $post->ID ) );
								?>

								<div class="overlay-outer">
									<img src="<?php echo $thumb_src; ?>" alt="<?php echo get_the_title(); ?>" class="img-performer img-responsive" />

									<div class="overlay-info">
										<div>
											<h3><?php echo get_the_title() . ' <span>' . get_post_meta(get_the_ID(), 'themeum_performer_position',true ) ?></span></h3>
										</div>
									</div>

									<div class="overlay">
										<div class="overley-content performer-details">
											<h3><a href="<?php echo get_permalink(); ?>"><?php echo get_the_title(); ?></a></h3>
											<p class="performer-position"><?php echo get_post_meta(get_the_ID(), 'themeum_performer_position',true ); ?></p>

											<?php if( get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ) ) { ?>
											<p class="performer-short-desc"><?php echo get_post_meta(get_the_ID(),'themeum_performer_shortdesc',true ); ?></p>	
											<?php } ?>

			                                <div class="social-icons">
			                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_website', true) ) { ?>
			                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_website', true); ?>"><i class="fa fa-globe"></i></a>
			                                    <?php } ?>

			                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_youtube', true) ) { ?>
			                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_youtube', true); ?>"><i class="fa fa-youtube"></i></a>
			                                    <?php } ?>

			                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_twitter', true) ) { ?>
			                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_twitter', true); ?>"><i class="fa fa-twitter"></i></a>
			                                    <?php } ?>

			                                    <?php if( get_post_meta(get_the_ID(),'themeum_performer_facebook', true) ) { ?>
			                                    <a href="<?php echo get_post_meta(get_the_ID(),'themeum_performer_facebook', true); ?>"><i class="fa fa-facebook"></i></a>
			                                    <?php }  ?>

			                                    <?php if( get_post_meta(get_the_ID(), 'themeum_performer_gplus', true) ) { ?>
			                                    <a href="<?php echo get_post_meta(get_the_ID(), 'themeum_performer_gplus', true); ?>"><i class="fa fa-google-plus"></i></a>
			                                    <?php } ?>
			                                </div>
										</div>                               
									</div>
								</div>
								<?php } ?>
								<?php wp_reset_postdata(); ?>
							</div><!--/#carousel-performer-->
						</div><!--/#event-performers-->
					<?php } ?>

					<div class="event-date-time">
						<div class="row">
							<div class="col-sm-6">
								<h2><?php echo __('Event Date', 'themeum'); ?></h2>
								<div class="event-date">
									<i class="fa fa-calendar"></i>
									<span class="event-date"><?php echo date_i18n(get_option( 'date_format' ), strtotime($datetime)); ?> <?php if(!empty($end_datetime)){ echo '- '.date_i18n(get_option( 'date_format' ), strtotime($end_datetime));}?></span>
								</div>
							</div>	    					

							<div class="col-sm-6">
								<h2><?php echo __('Event Time', 'themeum'); ?></h2>
								<div class="event-time">
									<i class="fa fa-clock-o"></i>
									<span class="event-time"><?php echo date_i18n("h:i", strtotime($datetime)); ?> <?php if(!empty($end_datetime)){ echo '- '.date_i18n("H:i", strtotime($end_datetime));}?></span>
								</div>
							</div>

						</div>
					</div> <!--/.event-date-->

					<?php if(( $pricing !='' && $pricing != NULL ) && !$disable_pricing ) {
						$args = array(
							'post_type' => 'price',
							'tax_query' => array(
								array(
									'taxonomy' => 'price_cat',
									'field' => 'slug',
									'terms' => $pricing
								)
							)
						);

						$pricings = get_posts($args);

						if (count($pricings) < 2) {
							$pricie_count = 2;
						}else{
							$pricie_count = count($pricings);
						}
					?>
					
						<div id="pricing-table">
							<h2><?php echo __('Ticket Price', 'themeum'); ?></h2>
							<div class="row">
								<?php foreach ( $pricings as $post ) : setup_postdata( $post );?>
								<?php $featured = get_post_meta(get_the_ID(),'themeum_event_featured_pricing',true) ? 'featured' : ''; ?>
								<div class="col-sm-<?php echo round(12/$pricie_count) . ' ' . $featured; ?>">
									<div class="pricing-plan">
										<h3 class="plan-title"><?php echo the_title();?></h3>
										<span class="plan-price"><?php echo get_post_meta(get_the_ID(),'themeum_event_pricing_amount',true);?></span>
										<div class="plan-details">
											<?php echo get_post_meta(get_the_ID(),'themeum_event_pricing_details',true);?>
										</div>
										<div class="plan-action">
											<a href="<?php echo get_post_meta(get_the_ID(),'themeum_event_pricing_button_link',true);?>" class="btn btn-primary btn-pricing" target="_blank"><?php echo get_post_meta(get_the_ID(),'themeum_event_pricing_button_txt',true);?></a>
										</div>
									</div>
								</div>
								<?php endforeach; wp_reset_postdata(); ?>
							</div>
						</div><!--/#pricing-table-->
					<?php } else { ?>
						<div id="pricing-table">
						<h2><?php echo __('Ticket Price', 'themeum'); ?></h2>
							<div class="row">
								<div class="col-sm-12">
									<a href="<?php echo $price_link; ?>" class="btn btn-primary btn-pricing" target="_blank"><?php echo $price; ?> - <?php echo $label; ?></a>
								</div>
							</div>
						</div>
					<?php } ?>

					<?php if(!empty($map)) { ?>
					<h2><?php echo __('Event Location', 'themeum'); ?></h2>
					<h4 class="event-location"><?php echo $location; ?></h4>						
					<?php echo $map; ?>
					<?php } ?>

				</div><!--/#post-->
				<?php if ($themeum_options['event-social-en']) { ?>
				<div class="vocal-share">
					<?php get_template_part( 'lib/social-buttons' ); ?>
				</div>
				<?php } ?>

			<?php endwhile; ?>
		</div>
	</div>
</section>
<?php get_footer();

